Subject: Re: next-20190408..0418: Suspend/resume problems on Thinkpad X60

From: Bart Van Assche <[email-masked]>
Date: Wed, 24 Apr 2019 15:34:57 -0700

On Wed, 2019-04-24 at 12:17 +0200, Pavel Machek wrote:
> On Tue 2019-04-23 07:09:42, Bart Van Assche wrote:
> > On 4/23/19 3:22 AM, Pavel Machek wrote:
> > > > > It boots ok (unlike mainline -- I'm debugging that), and I can suspend
> > > > > and resume... but then cursor in X is moving and I can talk to
> > > > > applications cached in memory, but any access to disk hangs.
> > > > 
> > > > Mainline problem was identified.
> > > > 
> > > > But resume is still broken. I took advantage of fact that I can still
> > > > do cached commands, and got complete dmesg. I'm attaching it.
> > > 
> > > Still broken in 0418. Ideas would be welcome at this point.
> > 
> > Have you already tried the debugging steps explained in
> > Documentation/power to obtain more information about the nature of the
> > suspend/resume problem?
> 
> That won't help, as system resumes ok, then disk hangs.
> 
> Does it work for you?

Both "systemctl hibernate" and "systemctl suspend" work perfectly with the
next-20190424 kernel on my laptop (a Dell Precision laptop).

Bart.